<h1>Welcome to CSS</h1>

<nav class="navbar navbar-expand-md navbar-light bg-light">
  <span class="navbar-brand"><i class="fab fa-css3"></i>CSS</span>
  <button class="navbar-toggler" type="button" aria-controls="navbarContent" >
    <span class="navbar-toggler-icon"></span>
  </button>

  <div id="navbarContent">
    <ul class="navbar-nav ml-auto">
      <li class="nav-item" ngbDropdown>
        <a class="nav-link" style="cursor: pointer" ngbDropdownToggle id="Layout" role="button">
          Layout & Positioning
        </a>
        <div ngbDropdownMenu aria-labelledby="Layout" class="dropdown-menu">
          <a ngbDropdownItem [routerLink]="['/position-static']">Static</a>
          <a ngbDropdownItem [routerLink]="['/position-fixed']">Fixed</a>
          <a ngbDropdownItem [routerLink]="['/position-relative']">Relative</a>
          <a ngbDropdownItem [routerLink]="['/position-absolute']">Absolute</a>
          <a ngbDropdownItem [routerLink]="['/position-float']">Float</a>
          <a ngbDropdownItem [routerLink]="['/position-display']">Display</a>
          <a ngbDropdownItem [routerLink]="['/position-align']">Alignment</a>
          <a ngbDropdownItem [routerLink]="['/position-flextbox']">FlexBox</a>
          <a ngbDropdownItem [routerLink]="['/position-grid']">Grid</a>
        </div>
      </li>

      <li class="nav-item" ngbDropdown>
        <a class="nav-link" style="cursor: pointer" ngbDropdownToggle id="navbarDropdown2" role="button">
          Static right
        </a>
        <div ngbDropdownMenu aria-labelledby="navbarDropdown2" class="dropdown-menu">
          <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Action</a>
          <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Another action</a>
          <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Something else here</a>
        </div>
      </li>

      <li class="nav-item" ngbDropdown>
        <a class="nav-link" style="cursor: pointer" ngbDropdownToggle id="navbarDropdown3" role="button">
          Dynamic
        </a>
        <div ngbDropdownMenu aria-labelledby="navbarDropdown3" class="dropdown-menu">
          <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Action</a>
          <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Another action</a>
          <a ngbDropdownItem href="#" (click)="$event.preventDefault()">Something else here</a>
        </div>
      </li>
    </ul>
  </div>
</nav>

<br>

<div class="container">
  <router-outlet></router-outlet>
</div>


<br>

<hr>
